Subject: Re: ssh unable to find my home
From: Huijing Zhou <[email-masked]>
To: "Harig, Mark A." <[email-masked]>
Cc: [email-masked]
Date: Wed, 03 Jul 2002 01:03:51 +0200

Harig, Mark A. wrote:

> HOME is defined incorrectly on your ssh client machine.  You'll want to:
> 
>   1. Check the file /etc/passwd.  The second-to-last field is likely set
> to /home/Administrator.  This is what ssh is using, if I remember
> correctly.
> 
>   2. Set HOME to this value, '/home/Administrator', on your ssh client
> machine.  Cygwin attempts to do this for you in the file /etc/profile,
> which is sourced before your bash shell is started.  Don't override the
> value that /etc/profile sets for you.  It's the sensible value.

Thanks for the hint! Now I changed the field in "/etc/passed" from 
"/home/Administrator" to "/cygdrive/h" and ssh stopped complaining.

The reason I cannot set my home to "/home/Administrator" is that I am 
not the only administrator user using the system. But everyone of us 
gets his own home drive mapped to "H:\".

Huijing

-- 
Huijing Zhou <[email-masked]>
CIP Computer Lab, Faculty of Economics
University of Karlsruhe, Germany
http://www2.wiwi.uni-karlsruhe.de

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/